From a3b17bd8d2dfe978fce050dad63258759e6fdd92 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 15:11:54 +0800
Subject: [PATCH 10/77] virsh_migrate: dump traceback to improve the testcase's
 usability

dump traceback when it runs fail to improve the case's usability

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index 0adb3ceb..c38b2ec9 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -3,6 +3,7 @@ import os
 import re
 import time
 import platform
+import traceback
 
 from six import itervalues, string_types
 from avocado.utils import process
@@ -399,6 +400,7 @@ def run(test, params, env):
 
             logging.debug("CPU %s successful !!!", operation)
         except Exception as info:
+            logging.error(str(traceback.format_exc()))
             test.fail("CPU %s failed - %s" % (operation, info))
         finally:
             # recover the connect uri
@@ -1091,6 +1093,7 @@ def run(test, params, env):
                                            func_params=cmd,
                                            shell=True)
             except Exception as info:
+                logging.error(str(traceback.format_exc()))
                 test.fail(info)
             if obj_migration.RET_MIGRATION:
                 utils_test.check_dest_vm_network(vm, vm.get_address(),
@@ -1149,6 +1152,7 @@ def run(test, params, env):
                                                     func=func,
                                                     func_params=params)
                     except Exception as info:
+                        logging.error(str(traceback.format_exc()))
                         test.fail(info)
                     ret_migrate = migration_test.RET_MIGRATION
                 elif postcopy_cmd != "":
@@ -1161,6 +1165,7 @@ def run(test, params, env):
                                                    func_params=cmd,
                                                    shell=True)
                     except Exception as info:
+                        logging.error(str(traceback.format_exc()))
                         test.fail(info)
                     ret_migrate = obj_migration.RET_MIGRATION
 
-- 
2.23.0

